<template>
	<view>
		<view class="single_Phone">
			<span style="color:red;margin-right:5rpx;" v-show="CompData.IsRequire">*</span>{{CompData.Name}}
		</view>
		 <ld-select :list="CompData.OptionList"
		                label-key="Name" value-key="Id"
						:multiple="CompData.IsMultiple"
		                placeholder="请选择"
		                ref='ldselect'
		                v-model="CompData.OptionValue"
		                @change="selectChange"></ld-select>
		<view class="single_Remark" v-if="CompData.Remark">{{CompData.Remark}}</view>
	</view>
</template>

<script>
	import ldSelect from '../components/ld-select.vue'
	export default {
		props: ["CompData",'index'],
		components: { ldSelect},
		data(){
			return{
				
			}
		},
		created() {
			
		},
		methods:{
			selectChange(e){
				this.CompData.OptionValue = e
				this.$emit('success', this.CompData, this.index)
			}
		}
	}
</script>

<style>
</style>
